Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001548 [DCSS] FR: Interface Improvements minor N/A 2010-05-15 01:22 2014-05-02 16:16
Reporter OG17 View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.7 ancient branch
Summary 0001548: Portal projectile could use contextual behavior with corpses
Description Just like how chunks and arrows show on the wield menu if you know sublimation/simulacrum and sticks to snakes, portal projectile should list corpses with other ammunition if the character knows corpse rot (or LRD?) or worships Fedhas (for spores). Currently, only ammunition is listed with "i," which means that you need to press "i" then "*" and then dig through your entire inventory to select a corpse, which isn't an uncommon action if you're using corpse rot a lot.

It'd also be nice if portal projectile allowed casting with "z" without an on-screen target in this case, though that's not a big deal.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007555)
MarvinPA (developer)
2010-08-25 19:38

Yes please, this would make corpse rot a lot less painful to use for non-Kiku worshippers.
(0026017)
MarvinPA (developer)
2014-05-02 16:16

Added by wheals in 7a836a1.

- Issue History
Date Modified Username Field Change
2010-05-15 01:22 OG17 New Issue
2010-08-25 19:38 MarvinPA Note Added: 0007555
2014-05-02 16:16 MarvinPA Note Added: 0026017
2014-05-02 16:16 MarvinPA Status new => resolved
2014-05-02 16:16 MarvinPA Fixed in Branch => 0.15 development branch
2014-05-02 16:16 MarvinPA Resolution open => done
2014-05-02 16:16 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker